import request from '@/utils/request'

// 查询光谱辐射列表
export function listRadiation(query) {
  return request({
    url: '/meas/radiation/list',
    method: 'get',
    params: query
  })
}

// 查询光谱辐射详细
export function getRadiation(id) {
  return request({
    url: '/meas/radiation/' + id,
    method: 'get'
  })
}

// 新增光谱辐射
export function addRadiation(data) {
  return request({
    url: '/meas/radiation',
    method: 'post',
    data: data
  })
}

// 修改光谱辐射
export function updateRadiation(data) {
  return request({
    url: '/meas/radiation',
    method: 'put',
    data: data
  })
}

// 删除光谱辐射
export function delRadiation(id) {
  return request({
    url: '/meas/radiation/' + id,
    method: 'delete'
  })
}
